Bug 1276421 - mockchain builds fail on root.log phase
mockchain builds fail on root.log phase
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 12:00 EDT by Marcin Juszkiewicz
Modified: 2017-08-08 08:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:20:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example root.log (388.56 KB, text/plain)
2015-10-30 07:08 EDT, Marcin Juszkiewicz
no flags Details

  None (edit)
Description Marcin Juszkiewicz 2015-10-29 12:00:45 EDT
Description of problem:

I am in a middle of rpmfusion rebuild for aarch64 architecture. And many packages fail with:

DEBUG util.py:393:    Installing  : speex-devel-1.2-0.24.rc2.fc23.aarch64                   287/288                                                                                         
DEBUG util.py:393:    Installing  : libv4l-devel-1.8.1-1.fc24.aarch64                       288/288                                                                                         
DEBUG util.py:393:  warning: libv4l-devel-1.8.1-1.fc24.aarch64: Header V3 RSA/SHA1 Signature, key ID 030d5aed: NOKEY                                                                        
DEBUG util.py:393:  warning: Schema 'org.freedesktop.Geoclue' has path '/apps/geoclue/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.                           
DEBUG util.py:393:  warning: Schema 'org.gnome.crypto.cache' has path '/desktop/gnome/crypto/cache/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.              
DEBUG util.py:393:  warning: Schema 'org.gnome.crypto.pgp' has path '/desktop/gnome/crypto/pgp/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.                  
DEBUG util.py:393:  warning: Schema 'org.gnome.system.locale' has path '/system/locale/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.                          
DEBUG util.py:393:  warning: Schema 'org.gnome.system.proxy' has path '/system/proxy/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.                            
DEBUG util.py:393:  warning: Schema 'org.gnome.system.proxy.http' has path '/system/proxy/http/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.                  
DEBUG util.py:393:  warning: Schema 'org.gnome.system.proxy.https' has path '/system/proxy/https/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.                
DEBUG util.py:393:  warning: Schema 'org.gnome.system.proxy.ftp' has path '/system/proxy/ftp/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.                    
DEBUG util.py:393:  warning: Schema 'org.gnome.system.proxy.socks' has path '/system/proxy/socks/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.                
DEBUG util.py:515:  Child return code was: 1                                                                                                                                                
DEBUG util.py:172:  kill orphans                                                                                                                                                            
DEBUG util.py:535:  child environment: None   

Version-Release number of selected component (if applicable):

mock-1.2.13-2.fc24.noarch

16:55 hrw@pinkiepie-rawhide:fedora-packager$ sudo LANGUAGE=C dnf --version
1.1.3
  Installed: dnf-0:1.1.3-1.fc24.noarch at 2015-10-18 17:11
  Built    : Fedora Project at 2015-10-14 16:46

  Installed: rpm-0:4.13.0-0.rc1.7.fc24.aarch64 at 2015-10-26 07:50
  Built    : Fedora Project at 2015-10-23 17:36

How reproducible:

always

Steps to Reproduce:
1. mockchain -r default xine-lib-1.2.6-8.fc23.src.rpm

Actual results:

package fails at root.log phase

Expected results:

package go to building phase (will it end does not matter)

Additional info:
Comment 1 Marcin Juszkiewicz 2015-10-29 12:08:47 EDT
Same srpm works when used with mock.
Comment 2 Miroslav Suchý 2015-10-30 07:03:49 EDT
It seems that dnf returns 1 when installing those packages. Can you please attach full log?
Comment 3 Marcin Juszkiewicz 2015-10-30 07:08 EDT
Created attachment 1087913 [details]
example root.log
Comment 4 Jan Kurik 2016-02-24 08:53:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora End Of Life 2017-07-25 15:24:54 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:20:27 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.